<html>
<head>
<title>Ogre::GLES2FrameBufferObject Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html">GLES2FrameBufferObject</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::GLES2FrameBufferObject Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::GLES2FrameBufferObject" -->
<p>Frame Buffer Object abstraction.  
 <a href="classOgre_1_1GLES2FrameBufferObject.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreGLES2FrameBufferObject_8h_source.html">OgreGLES2FrameBufferObject.h</a>&gt;</code></p>

<p><a href="classOgre_1_1GLES2FrameBufferObject-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a235643900b58d3550052d3ac8e454579">GLES2FrameBufferObject</a> (<a class="el" href="classOgre_1_1GLES2FBOManager.html">GLES2FBOManager</a> *manager, <a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a> fsaa)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a437bdb2f9d24d1c2dd111bd459fdf1ad">~GLES2FrameBufferObject</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a3733c1949d85020de2dcbc12451a3dfd">bindSurface</a> (size_t attachment, const <a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a> &amp;target)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind a surface to a certain attachment point.  <a href="#a3733c1949d85020de2dcbc12451a3dfd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a772df0e571e0b4e4e8d066f268483517">unbindSurface</a> (size_t attachment)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unbind attachment.  <a href="#a772df0e571e0b4e4e8d066f268483517"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a7259d5d40ff795de1ea170dad28101ff">bind</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Bind FrameBufferObject.  <a href="#a7259d5d40ff795de1ea170dad28101ff"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a9d0ac4727220d06674740d74e0d45898">swapBuffers</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Swap buffers - only useful when using multisample buffers.  <a href="#a9d0ac4727220d06674740d74e0d45898"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#ac40034fee0085196dc3ef104c03afe59">attachDepthBuffer</a> (<a class="el" href="classOgre_1_1DepthBuffer.html">DepthBuffer</a> *depthBuffer)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This function acts very similar to.  <a href="#ac40034fee0085196dc3ef104c03afe59"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#ae7329a856ba02b5b6189dc8d48839adb">detachDepthBuffer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#afb6f1b7b7a6ebba4c7251e98364d94ef">getWidth</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Accessors.  <a href="#afb6f1b7b7a6ebba4c7251e98364d94ef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a173237ed0a265af70dfd95d67142aabf">getHeight</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#afa6f0b3e2ffa14ffe85bcfc8f798961c">getFormat</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLsizei&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a7d7bbcfedf0d0219517649da6bc564b4">getFSAA</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLES2FBOManager.html">GLES2FBOManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a56462a1f99de6bb087688bff3f848170">getManager</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a4b05dd41047ea1a2026642e2024d3a42">getSurface</a> (size_t attachment)</td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a1eae30a74ed0cc17d2fde0299f19c20e">initialise</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Initialise object (find suitable depth and stencil format).  <a href="#a1eae30a74ed0cc17d2fde0299f19c20e"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1GLES2FBOManager.html">GLES2FBOManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a9e4afd58c7bfe39055e1914ed28eb207">mManager</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLsizei&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a79525344a0b976a59b7216f54d0ace1b">mNumSamples</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a9af67dd8003f8ee805cb85007b8f1568">mFB</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">GLuint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a15a62cd652e720a80e0f9c1285b76f7b">mMultisampleFB</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#aa1a24d5873492576b1d4155c67f0c5fc">mMultisampleColourBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#ac0313b760b095e807b3aba9eb4dd7f96">mDepth</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#acf0e5622a17aa755339223688af914e1">mStencil</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a81a808134efbf8f3c254247a3f8790d6">mColour</a> [<a class="el" href="OgreConfig_8h.html#a1555343fe7aade0966aa442f2e0c16f5">OGRE_MAX_MULTIPLE_RENDER_TARGETS</a>]</td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Frame Buffer Object abstraction. </p>

<p>Definition at line <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html#l00041">41</a> of file <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html">OgreGLES2FrameBufferObject.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a235643900b58d3550052d3ac8e454579"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::GLES2FrameBufferObject" ref="a235643900b58d3550052d3ac8e454579" args="(GLES2FBOManager *manager, uint fsaa)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a235643900b58d3550052d3ac8e454579">Ogre::GLES2FrameBufferObject::GLES2FrameBufferObject</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1GLES2FBOManager.html">GLES2FBOManager</a> *&#160;</td>
          <td class="paramname"><em>manager</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#ab6e842a18caf062ed73a5d3badd0dd4c">uint</a>&#160;</td>
          <td class="paramname"><em>fsaa</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a437bdb2f9d24d1c2dd111bd459fdf1ad"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::~GLES2FrameBufferObject" ref="a437bdb2f9d24d1c2dd111bd459fdf1ad" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a437bdb2f9d24d1c2dd111bd459fdf1ad">Ogre::GLES2FrameBufferObject::~GLES2FrameBufferObject</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ac40034fee0085196dc3ef104c03afe59"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::attachDepthBuffer" ref="ac40034fee0085196dc3ef104c03afe59" args="(DepthBuffer *depthBuffer)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#ac40034fee0085196dc3ef104c03afe59">Ogre::GLES2FrameBufferObject::attachDepthBuffer</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1DepthBuffer.html">DepthBuffer</a> *&#160;</td>
          <td class="paramname"><em>depthBuffer</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This function acts very similar to. </p>
<dl class="see"><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1GLES2FBORenderTexture.html#a482623b1ed080e15766c93c1cf4b193b" title="Override so we can attach the depth buffer to the FBO.">GLES2FBORenderTexture::attachDepthBuffer</a> The difference between D3D &amp; OGL is that D3D setups the <a class="el" href="classOgre_1_1DepthBuffer.html" title="An abstract class that contains a depth/stencil buffer.">DepthBuffer</a> before rendering, while OGL setups the <a class="el" href="classOgre_1_1DepthBuffer.html" title="An abstract class that contains a depth/stencil buffer.">DepthBuffer</a> per FBO. So the <a class="el" href="classOgre_1_1DepthBuffer.html" title="An abstract class that contains a depth/stencil buffer.">DepthBuffer</a> (RenderBuffer) needs to be attached for OGL. </dd></dl>

</div>
</div>
<a class="anchor" id="a7259d5d40ff795de1ea170dad28101ff"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::bind" ref="a7259d5d40ff795de1ea170dad28101ff" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a7259d5d40ff795de1ea170dad28101ff">Ogre::GLES2FrameBufferObject::bind</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bind FrameBufferObject. </p>

</div>
</div>
<a class="anchor" id="a3733c1949d85020de2dcbc12451a3dfd"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::bindSurface" ref="a3733c1949d85020de2dcbc12451a3dfd" args="(size_t attachment, const GLES2SurfaceDesc &amp;target)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a3733c1949d85020de2dcbc12451a3dfd">Ogre::GLES2FrameBufferObject::bindSurface</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>attachment</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a> &amp;&#160;</td>
          <td class="paramname"><em>target</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Bind a surface to a certain attachment point. </p>
<p>attachment: 0..OGRE_MAX_MULTIPLE_RENDER_TARGETS-1 </p>

</div>
</div>
<a class="anchor" id="ae7329a856ba02b5b6189dc8d48839adb"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::detachDepthBuffer" ref="ae7329a856ba02b5b6189dc8d48839adb" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#ae7329a856ba02b5b6189dc8d48839adb">Ogre::GLES2FrameBufferObject::detachDepthBuffer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="afa6f0b3e2ffa14ffe85bcfc8f798961c"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::getFormat" ref="afa6f0b3e2ffa14ffe85bcfc8f798961c" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Image.html#ga7e0353e7d36d4c2e8468641b7303d39c">PixelFormat</a> <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#afa6f0b3e2ffa14ffe85bcfc8f798961c">Ogre::GLES2FrameBufferObject::getFormat</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a7d7bbcfedf0d0219517649da6bc564b4"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::getFSAA" ref="a7d7bbcfedf0d0219517649da6bc564b4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLsizei <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a7d7bbcfedf0d0219517649da6bc564b4">Ogre::GLES2FrameBufferObject::getFSAA</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a173237ed0a265af70dfd95d67142aabf"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::getHeight" ref="a173237ed0a265af70dfd95d67142aabf" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a173237ed0a265af70dfd95d67142aabf">Ogre::GLES2FrameBufferObject::getHeight</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a56462a1f99de6bb087688bff3f848170"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::getManager" ref="a56462a1f99de6bb087688bff3f848170" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLES2FBOManager.html">GLES2FBOManager</a>* <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a56462a1f99de6bb087688bff3f848170">Ogre::GLES2FrameBufferObject::getManager</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html#l00077">77</a> of file <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html">OgreGLES2FrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4b05dd41047ea1a2026642e2024d3a42"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::getSurface" ref="a4b05dd41047ea1a2026642e2024d3a42" args="(size_t attachment)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a>&amp; <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a4b05dd41047ea1a2026642e2024d3a42">Ogre::GLES2FrameBufferObject::getSurface</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>attachment</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html">OgreGLES2FrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afb6f1b7b7a6ebba4c7251e98364d94ef"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::getWidth" ref="afb6f1b7b7a6ebba4c7251e98364d94ef" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#afb6f1b7b7a6ebba4c7251e98364d94ef">Ogre::GLES2FrameBufferObject::getWidth</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Accessors. </p>

</div>
</div>
<a class="anchor" id="a1eae30a74ed0cc17d2fde0299f19c20e"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::initialise" ref="a1eae30a74ed0cc17d2fde0299f19c20e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a1eae30a74ed0cc17d2fde0299f19c20e">Ogre::GLES2FrameBufferObject::initialise</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initialise object (find suitable depth and stencil format). </p>
<p>Must be called every time the bindings change. It fails with an exception (ERR_INVALIDPARAMS) if:</p>
<ul>
<li>Attachment point 0 has no binding</li>
<li>Not all bound surfaces have the same size</li>
<li>Not all bound surfaces have the same internal format </li>
</ul>

</div>
</div>
<a class="anchor" id="a9d0ac4727220d06674740d74e0d45898"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::swapBuffers" ref="a9d0ac4727220d06674740d74e0d45898" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a9d0ac4727220d06674740d74e0d45898">Ogre::GLES2FrameBufferObject::swapBuffers</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Swap buffers - only useful when using multisample buffers. </p>

</div>
</div>
<a class="anchor" id="a772df0e571e0b4e4e8d066f268483517"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::unbindSurface" ref="a772df0e571e0b4e4e8d066f268483517" args="(size_t attachment)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a772df0e571e0b4e4e8d066f268483517">Ogre::GLES2FrameBufferObject::unbindSurface</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>attachment</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unbind attachment. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a81a808134efbf8f3c254247a3f8790d6"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::mColour" ref="a81a808134efbf8f3c254247a3f8790d6" args="[OGRE_MAX_MULTIPLE_RENDER_TARGETS]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a> <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a81a808134efbf8f3c254247a3f8790d6">Ogre::GLES2FrameBufferObject::mColour</a>[<a class="el" href="OgreConfig_8h.html#a1555343fe7aade0966aa442f2e0c16f5">OGRE_MAX_MULTIPLE_RENDER_TARGETS</a>]<code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html#l00088">88</a> of file <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html">OgreGLES2FrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac0313b760b095e807b3aba9eb4dd7f96"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::mDepth" ref="ac0313b760b095e807b3aba9eb4dd7f96" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a> <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#ac0313b760b095e807b3aba9eb4dd7f96">Ogre::GLES2FrameBufferObject::mDepth</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html">OgreGLES2FrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9af67dd8003f8ee805cb85007b8f1568"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::mFB" ref="a9af67dd8003f8ee805cb85007b8f1568" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a9af67dd8003f8ee805cb85007b8f1568">Ogre::GLES2FrameBufferObject::mFB</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html#l00082">82</a> of file <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html">OgreGLES2FrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9e4afd58c7bfe39055e1914ed28eb207"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::mManager" ref="a9e4afd58c7bfe39055e1914ed28eb207" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1GLES2FBOManager.html">GLES2FBOManager</a>* <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a9e4afd58c7bfe39055e1914ed28eb207">Ogre::GLES2FrameBufferObject::mManager</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html#l00080">80</a> of file <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html">OgreGLES2FrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa1a24d5873492576b1d4155c67f0c5fc"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::mMultisampleColourBuffer" ref="aa1a24d5873492576b1d4155c67f0c5fc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a> <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#aa1a24d5873492576b1d4155c67f0c5fc">Ogre::GLES2FrameBufferObject::mMultisampleColourBuffer</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html#l00084">84</a> of file <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html">OgreGLES2FrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a15a62cd652e720a80e0f9c1285b76f7b"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::mMultisampleFB" ref="a15a62cd652e720a80e0f9c1285b76f7b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLuint <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a15a62cd652e720a80e0f9c1285b76f7b">Ogre::GLES2FrameBufferObject::mMultisampleFB</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html#l00083">83</a> of file <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html">OgreGLES2FrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a79525344a0b976a59b7216f54d0ace1b"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::mNumSamples" ref="a79525344a0b976a59b7216f54d0ace1b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GLsizei <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#a79525344a0b976a59b7216f54d0ace1b">Ogre::GLES2FrameBufferObject::mNumSamples</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html#l00081">81</a> of file <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html">OgreGLES2FrameBufferObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acf0e5622a17aa755339223688af914e1"></a><!-- doxytag: member="Ogre::GLES2FrameBufferObject::mStencil" ref="acf0e5622a17aa755339223688af914e1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structOgre_1_1GLES2SurfaceDesc.html">GLES2SurfaceDesc</a> <a class="el" href="classOgre_1_1GLES2FrameBufferObject.html#acf0e5622a17aa755339223688af914e1">Ogre::GLES2FrameBufferObject::mStencil</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html#l00086">86</a> of file <a class="el" href="OgreGLES2FrameBufferObject_8h_source.html">OgreGLES2FrameBufferObject.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreGLES2FrameBufferObject_8h_source.html">OgreGLES2FrameBufferObject.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:28
</p>
</body>
</html>
